--DROP TABLE FEDLOGDB.NMCRL_ORG_WEB CASCADE CONSTRAINTS;

CREATE TABLE FEDLOGDB.NMCRL_ORG_WEB
(
  NCAGE  VARCHAR2(5 BYTE)                       NOT NULL,
  WEB    VARCHAR2(270 CHAR)                     NOT NULL
);


CREATE UNIQUE INDEX FEDLOGDB.P_NMCRL_ORG_WEB ON FEDLOGDB.NMCRL_ORG_WEB
(NCAGE, WEB);

ALTER TABLE FEDLOGDB.NMCRL_ORG_WEB ADD (
  CONSTRAINT P_NMCRL_ORG_WEB
  PRIMARY KEY
  (NCAGE, WEB)
  USING INDEX FEDLOGDB.P_NMCRL_ORG_WEB
  ENABLE VALIDATE);


CREATE INDEX FEDLOGDB.I_NMCRL_ORG_WEB_NCAGE ON FEDLOGDB.NMCRL_ORG_WEB
(NCAGE);

ALTER TABLE FEDLOGDB.NMCRL_ORG_WEB ADD (
  CONSTRAINT F_NMCRLORGWEB_NMCRLORG 
  FOREIGN KEY (NCAGE) 
  REFERENCES FEDLOGDB.NMCRL_ORG (NCAGE)
  ENABLE VALIDATE);
